Bug 224133 - [PATCH] [devel/radare2] Update to 2.1
Summary: [PATCH] [devel/radare2] Update to 2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-12-05 21:59 UTC by Michael Zhilin
Modified: 2017-12-30 19:51 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (torres.73a)


Attachments
SVN patch (3.23 KB, patch)
2017-12-16 08:24 UTC, Michael Zhilin
no flags Details | Diff
SVN patch (5.07 KB, patch)
2017-12-18 17:33 UTC, Michael Zhilin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2017-12-05 21:59:05 UTC
Hi,

Here is new update of radare2 to 2.1. Upstream accepted last patches and now there is no need for "files".

It works for me (freebsd-current). 

Also I'll be happy to maintain this port as previous patches had maintainer timeouts: 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=222931
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221347
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=213278
Comment 1 Yuri Victorovich freebsd_committer 2017-12-16 03:19:14 UTC
Michael,

Did you forget to attach the patch?

Yuri
Comment 2 Michael Zhilin 2017-12-16 08:24:02 UTC
Created attachment 188875 [details]
SVN patch

Hi Yuri,

Yes, I did. :) Now patch is attached to ticket. Thank you!!!
Comment 3 Yuri Victorovich freebsd_committer 2017-12-16 08:27:48 UTC
(In reply to Michael Zhilin from comment #2)

Thank you!
Comment 4 Michael Zhilin 2017-12-18 17:33:25 UTC
Created attachment 188937 [details]
SVN patch

Hi Yuri,

I forgot to include removal of files folder as all patches are included in upstream. I've realized issue after today's "make update".
Comment 5 Yuri Victorovich freebsd_committer 2017-12-18 18:01:33 UTC
(In reply to Michael Zhilin from comment #4)

Ok, thanks!
Comment 6 Michael Zhilin 2017-12-29 06:07:38 UTC
Hi yuri@,

Is there any progress on this ticket?

Thanks!
Comment 7 Yuri Victorovich freebsd_committer 2017-12-29 06:26:21 UTC
Thanks for reminding.
Will commit soon.

Cheers!
Yuri
Comment 8 Yuri Victorovich freebsd_committer 2017-12-30 19:50:52 UTC
Committed.

Thank you for your contribution, and for taking maintainership!
Comment 9 commit-hook freebsd_committer 2017-12-30 19:51:51 UTC
A commit references this bug:

Author: yuri
Date: Sat Dec 30 19:50:46 UTC 2017
New revision: 457635
URL: https://svnweb.freebsd.org/changeset/ports/457635

Log:
  devel/radare2: Update to 2.2.0

  Additional changes:
  * change of maintainership
  * port cleanup

  PR:		224133
  Submitted by:	Michael Zhilin <mizhka@gmail.com>
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D13674

Changes:
  head/devel/radare2/Makefile
  head/devel/radare2/distinfo
  head/devel/radare2/files/
  head/devel/radare2/pkg-plist